LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 06-03-2005, 08:07 AM   #1
sgl
LQ Newbie
 
Registered: Dec 2004
Posts: 25

Rep: Reputation: 15
FC3, 64-bit multilib, with many yum update conflicts


All,

Had a working FC3 64-bit installation. yum update would produce a conflict with perl, but otherwise, all was well...

Then... I did something that forced me to do a reinstall. Details omitted.

So, with a fresh install, the first thing I wanted to do was a yum update, using the yum config that comes with the installation.

Now, I'm running into massive conflicts.

I can't update: gcc, cpp, xorg*, xfce*, etc. Conflict after conflict after conflict.

I see sporadic posts via google about one-sy two-sy conflicts, but this is beyond that. And compiling kernel modules is affected, because the version of gcc used is not up to date...

Any ideas? I'm wondering if this is a 64-bit multilib issue that has no easy solution... Wondering if I should bite the bullet and just install FC3 32-bit, though I'd prefer not to.

Any comments or suggestions would be appreciated. I'm a hurtin' here...

Steve
 
Old 06-04-2005, 09:13 PM   #2
shams
Member
 
Registered: Jan 2004
Posts: 400

Rep: Reputation: 30
it is better to use the updates from the fedora official website, fedora and all linux distros pakcages are compiled for the same versions, os if you want to change the vesion of any pakcage it will conflict to others, the new releases of any pakcages will be included in the updates or the next vresion of distro.
 
Old 06-04-2005, 09:42 PM   #3
sgl
LQ Newbie
 
Registered: Dec 2004
Posts: 25

Original Poster
Rep: Reputation: 15
thanks. but, i am using the yum config that came with the installation, which is base and updates released, if i remember right. definitely no changes to the repositories that i'm using to do the update...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
fc3:yum won't update - selinux conflict logo Linux - Software 2 09-18-2005 03:14 PM
FC3 KDE not loading after yum update aerlinn Fedora 1 03-20-2005 06:41 PM
Minimal install of FC3: cannot get wget and yum update to work. gregf50 Linux - Newbie 5 03-16-2005 09:33 AM
update openoffice.org via yum on FC3 report error, and the fan works not well. upsun Fedora 0 01-31-2005 09:30 AM
Trying to update FC2 to FC3 using Yum, and getting error message Rockgod2099 Linux - Software 0 12-13-2004 03:22 PM


All times are GMT -5. The time now is 09:18 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration